SHELL = /bin/sh
-INSTALL = $$s/install.sh -c
+INSTALL = /bin/sh $$s/install.sh -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_XFORM = $(INSTALL) -t='$(program_transform_name)'
esac ; \
done ; \
echo $$f > tofiles
- $(srcdir)/../move-if-change tofiles ofiles
+ /bin/sh $(srcdir)/../move-if-change tofiles ofiles
touch stamp-ofiles
ofiles: stamp-ofiles ; @true
else \
cp ofiles tpiclist; \
fi
- $(srcdir)/../move-if-change tpiclist piclist
+ /bin/sh $(srcdir)/../move-if-change tpiclist piclist
touch stamp-piclist
piclist: stamp-piclist ; @true
$(DEP) -f .dep2a $(ALL_CFLAGS) $?
sed -e '/DO NOT DELETE/d' -e '/^$$/d' < .dep2a >> .dep2
rm -f .dep2a
- $(srcdir)/../move-if-change .dep2 .dep1
+ /bin/sh $(srcdir)/../move-if-change .dep2 .dep1
dep.sed: dep-in.sed config.status
sed <$(srcdir)/dep-in.sed >dep.sed \
dep: .dep
sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < Makefile > tmp-Makefile
cat .dep >> tmp-Makefile
- $(srcdir)/../move-if-change tmp-Makefile Makefile
+ /bin/sh $(srcdir)/../move-if-change tmp-Makefile Makefile
dep-in: .dep
sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < $(srcdir)/Makefile.in > tmp-Makefile.in
cat .dep >> tmp-Makefile.in
- $(srcdir)/../move-if-change tmp-Makefile.in $(srcdir)/Makefile.in
+ /bin/sh $(srcdir)/../move-if-change tmp-Makefile.in $(srcdir)/Makefile.in
host-aout.o: Makefile
stmp-bfd.h: bfd-in3.h
rm -f bfd-tmp.h
cp bfd-in3.h bfd-tmp.h
- $(srcdir)/../move-if-change bfd-tmp.h $(BFD_H)
+ /bin/sh $(srcdir)/../move-if-change bfd-tmp.h $(BFD_H)
rm -f bfd-tmp.h
touch stmp-bfd.h
headers:
(cd $(docdir); $(MAKE) protos $(FLAGS_TO_PASS))
cp $(docdir)/bfd.h bfd-in2.h-new
- $(srcdir)/../move-if-change bfd-in2.h-new $(srcdir)/bfd-in2.h
+ /bin/sh $(srcdir)/../move-if-change bfd-in2.h-new $(srcdir)/bfd-in2.h
cp $(docdir)/libbfd.h libbfd.h-new
- $(srcdir)/../move-if-change libbfd.h-new $(srcdir)/libbfd.h
+ /bin/sh $(srcdir)/../move-if-change libbfd.h-new $(srcdir)/libbfd.h
cp $(docdir)/libcoff.h libcoff.h-new
- $(srcdir)/../move-if-change libcoff.h-new $(srcdir)/libcoff.h
+ /bin/sh $(srcdir)/../move-if-change libcoff.h-new $(srcdir)/libcoff.h
# The rules for the generated header files are here so that people can
# type `make bfd-in2.h' if they remove it. They are not run by default.
$(srcdir)/bfd-in2.h:
(cd $(docdir); $(MAKE) bfd.h $(FLAGS_TO_PASS))
cp $(docdir)/bfd.h bfd-in2.h-new
- $(srcdir)/../move-if-change bfd-in2.h-new $(srcdir)/bfd-in2.h
+ /bin/sh $(srcdir)/../move-if-change bfd-in2.h-new $(srcdir)/bfd-in2.h
$(srcdir)/libbfd.h:
(cd $(docdir); $(MAKE) libbfd.h $(FLAGS_TO_PASS))
cp $(docdir)/libbfd.h libbfd.h-new
- $(srcdir)/../move-if-change libbfd.h-new $(srcdir)/libbfd.h
+ /bin/sh $(srcdir)/../move-if-change libbfd.h-new $(srcdir)/libbfd.h
$(srcdir)/libcoff.h:
(cd $(docdir); $(MAKE) libcoff.h $(FLAGS_TO_PASS))
cp $(docdir)/libcoff.h libcoff.h-new
- $(srcdir)/../move-if-change libcoff.h-new $(srcdir)/libcoff.h
+ /bin/sh $(srcdir)/../move-if-change libcoff.h-new $(srcdir)/libcoff.h
bfd.info:
(cd $(docdir); $(MAKE) bfd.info $(FLAGS_TO_PASS))
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
if test -n "$enable_targets" ; then
for targ in `echo $enable_targets | sed 's/,/ /g'`
do
- result=`$ac_config_sub $targ 2>/dev/null`
+ result=`/bin/sh $ac_config_sub $targ 2>/dev/null`
if test -n "$result" ; then
canon_targets="$canon_targets $result"
else
stamp-under: Makefile
echo '/*WARNING: This file is automatically generated!*/' >underscore.t
echo "int prepends_underscore = @UNDERSCORE@;" >>underscore.t
- $(srcdir)/../move-if-change underscore.t underscore.c
+ /bin/sh $(srcdir)/../move-if-change underscore.t underscore.c
touch stamp-under
version.o: version.c Makefile
rm -f .dep2
echo '# DO NOT DELETE THIS LINE -- mkdep uses it.' > .dep2
$(DEP) -f .dep2 $(ALL_CFLAGS) $?
- $(srcdir)/../move-if-change .dep2 .dep1
+ /bin/sh $(srcdir)/../move-if-change .dep2 .dep1
dep.sed: dep-in.sed config.status
sed <$(srcdir)/dep-in.sed >dep.sed \
dep: .dep
sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < Makefile > tmp-Makefile
cat .dep >> tmp-Makefile
- $(srcdir)/../move-if-change tmp-Makefile Makefile
+ /bin/sh $(srcdir)/../move-if-change tmp-Makefile Makefile
dep-in: .dep
sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < $(srcdir)/Makefile.in > tmp-Makefile.in
cat .dep >> tmp-Makefile.in
- $(srcdir)/../move-if-change tmp-Makefile.in $(srcdir)/Makefile.in
+ /bin/sh $(srcdir)/../move-if-change tmp-Makefile.in $(srcdir)/Makefile.in
.PHONY: dep dep-in
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
if test -n "$enable_targets"; then
for targ in `echo $enable_targets | sed 's/,/ /g'`
do
- result=`$ac_config_sub $targ 2>/dev/null`
+ result=`/bin/sh $ac_config_sub $targ 2>/dev/null`
if test -n "$result"; then
canon_targets="$canon_targets $result"
else
target_alias=NOTARGET
target_makefile_frag=
undefs=NOUNDEFS
-version="$Revision: 1.4 $"
+version="$Revision: 1.5 $"
x11=default
### we might need to use some other shell than /bin/sh for running subshells
if [ -r ${subdir}/config.back ] ; then
mv -f ${subdir}/config.back ${subdir}/config.status
fi
- ${moveifchange} ${subdir}/config.new ${subdir}/config.status
+ ${config_shell} ${moveifchange} ${subdir}/config.new ${subdir}/config.status
;;
*) rm -f ${Makefile} ${subdir}/config.status ${links} ;;
make-gas.com: stamp-mk.com
stamp-mk.com: vmsconf.sh Makefile
sh $(srcdir)/vmsconf.sh $(OBJS) > new-make.com
- $(srcdir)/../move-if-change new-make.com $(srcdir)/make-gas.com
+ /bin/sh $(srcdir)/../move-if-change new-make.com $(srcdir)/make-gas.com
touch stamp-mk.com
# Now figure out from those variables how to compile and link.
echo '' >> config.new
cat conf >> config.new
echo '#endif /* GAS_VERSION */' >> config.new
- $(srcdir)/../move-if-change config.new config.h
+ /bin/sh $(srcdir)/../move-if-change config.new config.h
touch config-stamp
# Compiling object files from source files.
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
canon_targets=""
if test -n "$enable_targets" ; then
for t in `echo $enable_targets | sed 's/,/ /g'`; do
- result=`$ac_config_sub $t 2>/dev/null`
+ result=`/bin/sh $ac_config_sub $t 2>/dev/null`
if test -n "$result" ; then
canon_targets="$canon_targets $result"
# else
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
-else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
+else { echo "configure: error: can not run /bin/sh $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
all_targets=true
else
# Canonicalize the secondary target names.
- result=`$ac_config_sub $targ_alias 2>/dev/null`
+ result=`/bin/sh $ac_config_sub $targ_alias 2>/dev/null`
if test -n "$result"; then
targ=$result
else
done
frag=xhost-mkfrag
-${moveifchange} temp-frag xhost-mkfrag
+${config_shell} ${moveifchange} temp-frag xhost-mkfrag
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
# Make sure we can run config.sub.
-if $ac_config_sub sun4 >/dev/null 2>&1; then :
+if /bin/sh $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
esac ;;
esac
-host=`$ac_config_sub $host_alias`
+host=`/bin/sh $ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-target=`$ac_config_sub $target_alias`
+target=`/bin/sh $ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
esac ;;
esac
-build=`$ac_config_sub $build_alias`
+build=`/bin/sh $ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
if test -n "$enable_targets" ; then
for targ in `echo $enable_targets | sed 's/,/ /g'`
do
- result=`$ac_config_sub $targ 2>/dev/null`
+ result=`/bin/sh $ac_config_sub $targ 2>/dev/null`
if test -n "$result" ; then
canon_targets="$canon_targets $result"
else